---
include:
  - component: gitlab.com/components/opentofu/validate-plan-apply@0.44.0
    inputs:
      version: 0.44.0
      opentofu_version: 1.8.4
      # Location of our IaC project related to the forks
      root_dir: forks
      # We only want a single stage for all infra jobs related to the forks
      state_name: forks
      stage_validate: forks
      stage_build: forks
      stage_deploy: forks
      var_file: config.tfvars
      apply_rules:
        - if: "$CI_COMMIT_BRANCH != $CI_DEFAULT_BRANCH"
          when: never
        - when: on_success

variables:
  TF_VAR_gitlab_renovate_bot_token: $TERRAFORM_TOKEN
  TF_VAR_gitlab_bot_token: $GITLAB_TOKEN
  TF_CLI_ARGS_plan: "-lock=false"

plan:
  needs:
    - fmt
    - validate

apply:
  needs:
    - plan
